#pragma once

#include "Sensor.h"

namespace Passer {
namespace RoboidControl {

/// @brief A digital switch input
class Switch : public Sensor {
public:
  /// @brief Default constructor
  Switch();

  /// @brief Test of the switch is on
  /// @return true when the switch returns a HIGH value
  virtual bool IsOn();

  virtual bool IsOff();
};

} // namespace RoboidControl
} // namespace Passer